#! /bin/bash

gnome-terminal -e "roslaunch radar_quadrotor_gazebo cargo_hold.launch"

# Standard sleeping time between commands is 5 seconds
SLEEPTIME=${1:-5}

sleep 1
gnome-terminal -e "roslaunch radar_quadrotor_gazebo spawn_quadrotor_with_expanded_radar_ground.launch"

sleep 1
gnome-terminal -e "rosrun radar_mapping occupancy_grid_mapping.py"
sleep 1
gnome-terminal -e "rosrun rviz rviz"

sleep 1
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 2.5
        y: 0.0
        z: 1.5
      orientation:
        x: 1.0
        y: 0.0
        z: 0.0
        w: 0.0"

sleep 20
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 2.5
        y: 35.0
        z: 1.5
      orientation:
        x: 1.0
        y: 0.0
        z: 0.0
        w: 0.0"

sleep 180
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -2.5
        y: 35.0
        z: 1.5
      orientation:
        x: 0.0
        y: 1.0
        z: 0.0
        w: 0.0"
sleep 40 
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -2.5
        y: -29.0
        z: 1.5
      orientation:
        x: 1.0
        y: 0.0
        z: 0.0
        w: 0.0"
sleep 360
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 2.5
        y: -29.0
        z: 1.5
      orientation:
        x: 0.0
        y: 1.0
        z: 0.0
        w: 0.0"

sleep 40
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 2.5
        y: 0.0
        z: 1.5
      orientation:
        x: 1.0
        y: 0.0
        z: 0.0
        w: 0.0"

